[Spice-devel,spice-gtk] build-sys: Fix symbol versioning

Submitted by Christophe Fergeau on Sept. 10, 2012, 2:35 p.m.

Details

Message ID 1347287700-14714-1-git-send-email-cfergeau@redhat.com
State New
Headers show

Not browsing as part of any series.

Commit Message

Christophe Fergeau Sept. 10, 2012, 2:35 p.m.
My changes in bug 5bf72a2e had a typo which broke symbol versioning
of libspice-client-gtk.so when -Wl,--version-script is available...
---
 gtk/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Patch hide | download patch | download mbox

diff --git a/gtk/Makefile.am b/gtk/Makefile.am
index 928f914..06cc6e1 100644
--- a/gtk/Makefile.am
+++ b/gtk/Makefile.am
@@ -58,7 +58,7 @@  endif
 
 if HAVE_LD_VERSION_SCRIPT
 GLIB_VERSION_LDFLAGS = -Wl,--version-script=${srcdir}/map-file
-GTK_VERSION_LD_FLAGS = $(GLIB_VERSION_LDFLAGS)
+GTK_VERSION_LDFLAGS = $(GLIB_VERSION_LDFLAGS)
 else
 GLIB_VERSION_LDFLAGS = -export-symbols ${srcdir}/spice-glib-sym-file
 GTK_VERSION_LDFLAGS = -export-symbols ${srcdir}/spice-gtk-sym-file